Edit Instagram message
curl --request PATCH \
--url https://api.notifique.dev/v1/instagram/messages/{messageId}/edit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"text": "Texto corrigido"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({text: 'Texto corrigido'})
};
fetch('https://api.notifique.dev/v1/instagram/messages/{messageId}/edit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/instagram/messages/{messageId}/edit"
payload = { "text": "Texto corrigido" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/instagram/messages/{messageId}/edit"
payload := strings.NewReader("{\n \"text\": \"Texto corrigido\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"messageId": "msg_abc",
"status": "EDITED"
}
}Instagram: mensagens
Edit Instagram message
Edit the text of a message already sent (when allowed).
PATCH
/
v1
/
instagram
/
messages
/
{messageId}
/
edit
Edit Instagram message
curl --request PATCH \
--url https://api.notifique.dev/v1/instagram/messages/{messageId}/edit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"text": "Texto corrigido"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({text: 'Texto corrigido'})
};
fetch('https://api.notifique.dev/v1/instagram/messages/{messageId}/edit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/instagram/messages/{messageId}/edit"
payload = { "text": "Texto corrigido" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/instagram/messages/{messageId}/edit"
payload := strings.NewReader("{\n \"text\": \"Texto corrigido\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"messageId": "msg_abc",
"status": "EDITED"
}
}Authorizations
ntfIgBearerAuthntfIgApiKeyHeader
Authorization: Bearer sk_live_...
Path Parameters
Body
application/json
Required string length:
1 - 1000Example:
"Texto corrigido"
Was this page helpful?
⌘I

